Subject: Re: [PATCH 1/4 tip/sched/core] sched: rename preempt_notifier to sched_notifier and always enable it

From: Tejun Heo <[email-masked]>
Date: Fri, 27 Nov 2009 15:16:09 +0900

11/27/2009 03:13 PM, Ingo Molnar wrote:
>>> My position on this is rather clear: i want no new callbacks and no 
>>> changes to callbacks in the scheduler until this situation is cleaned 
>>> up. Five callback sites are _way_ too much - so if you want to add 
>>> callbacks or change them, please clean it up and improve it first.
>>
>> Even changes which cause no functional differences? [...]
> 
> Such as enabling preempt notifiers unconditionally? That's a functional 
> change - it turns a so-far optional callback into an essentially 
> mandatory one.

No, I'm not gonna do that.  Just patches to reorganize code so that
unnecessary conflicts won't occur.  There will be NO functional
changes.

-- 
tejun